aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorHarald Welte <laforge@gnumonks.org>2018-04-18 23:53:26 +0200
committerHarald Welte <laforge@gnumonks.org>2018-04-18 23:59:17 +0200
commit2a36e5dd65bcd53bc26dafd5e2e246c612b2542e (patch)
tree14aed0280836a13ae9c89bf7164c2f8f7c3e4c7a
parentf7f3e3f6d7992d2ec33b831da704e7cf2748269c (diff)
add contrib/jenkins.sh for build testing
-rwxr-xr-xcontrib/jenkins.sh40
1 files changed, 40 insertions, 0 deletions
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
new file mode 100755
index 0000000..cb566f1
--- /dev/null
+++ b/contrib/jenkins.sh
@@ -0,0 +1,40 @@
+#!/usr/bin/env bash
+# jenkins build helper script for openbsc. This is how we build on jenkins.osmocom.org
+
+if ! [ -x "$(command -v osmo-build-dep.sh)" ]; then
+ echo "Error: We need to have scripts/osmo-deps.sh from http://git.osmocom.org/osmo-ci/ in PATH !"
+ exit 2
+fi
+
+
+set -ex
+
+base="$PWD"
+deps="$base/deps"
+inst="$deps/install"
+export deps inst
+
+osmo-clean-workspace.sh
+
+mkdir "$deps" || true
+
+set +x
+echo
+echo
+echo
+echo " =============================== rtl-sdr ==============================="
+echo
+set -x
+
+cd "$base"
+autoreconf --install --force
+./configure --enable-sanitize --enable-werror
+$MAKE $PARALLEL_MAKE
+LD_LIBRARY_PATH="$inst/lib" $MAKE check \
+ || cat-testlogs.sh
+LD_LIBRARY_PATH="$inst/lib" \
+ DISTCHECK_CONFIGURE_FLAGS="--enable-werror" \
+ $MAKE distcheck \
+ || cat-testlogs.sh
+
+osmo-clean-workspace.sh